STRZAP(3pub)

NAME
strzap - remove pattern from beginning of string, if it is there

SYNOPSIS
#include <publib.h>
int strzap(char *str, const char *pat);

DESCRIPTION
strzap compares the beginning of str with all of pat, and if they are the same, it removes the beginning from str.

RETURN VALUE
strzap returns non-zero if it removed anything, 0 if not.

SEE ALSO
publib(3), strendzap(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)